source: longrun_tests/Makefile.in @ df8b87c

arm-ehjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-expr
Last change on this file since df8b87c was df8b87c, checked in by Thierry Delisle <tdelisle@…>, 2 years ago

Demangler can now be disable to avoid compiling it (enabled by default)

  • Property mode set to 100644
File size: 31.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = longrun_tests
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/automake/libtool.m4 \
96        $(top_srcdir)/automake/ltoptions.m4 \
97        $(top_srcdir)/automake/ltsugar.m4 \
98        $(top_srcdir)/automake/ltversion.m4 \
99        $(top_srcdir)/automake/lt~obsolete.m4 \
100        $(top_srcdir)/automake/cfa.m4 $(top_srcdir)/configure.ac
101am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102        $(ACLOCAL_M4)
103DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
104mkinstalldirs = $(install_sh) -d
105CONFIG_HEADER = $(top_builddir)/config.h
106CONFIG_CLEAN_FILES =
107CONFIG_CLEAN_VPATH_FILES =
108AM_V_P = $(am__v_P_@AM_V@)
109am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
110am__v_P_0 = false
111am__v_P_1 = :
112AM_V_GEN = $(am__v_GEN_@AM_V@)
113am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
114am__v_GEN_0 = @echo "  GEN     " $@;
115am__v_GEN_1 =
116AM_V_at = $(am__v_at_@AM_V@)
117am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
118am__v_at_0 = @
119am__v_at_1 =
120SOURCES =
121DIST_SOURCES =
122am__can_run_installinfo = \
123  case $$AM_UPDATE_INFO_DIR in \
124    n|no|NO) false;; \
125    *) (install-info --version) >/dev/null 2>&1;; \
126  esac
127am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
128am__tty_colors_dummy = \
129  mgn= red= grn= lgn= blu= brg= std=; \
130  am__color_tests=no
131am__tty_colors = { \
132  $(am__tty_colors_dummy); \
133  if test "X$(AM_COLOR_TESTS)" = Xno; then \
134    am__color_tests=no; \
135  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
136    am__color_tests=yes; \
137  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
138    am__color_tests=yes; \
139  fi; \
140  if test $$am__color_tests = yes; then \
141    red='[0;31m'; \
142    grn='[0;32m'; \
143    lgn='[1;32m'; \
144    blu='[1;34m'; \
145    mgn='[0;35m'; \
146    brg='[1m'; \
147    std='[m'; \
148  fi; \
149}
150am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151am__vpath_adj = case $$p in \
152    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153    *) f=$$p;; \
154  esac;
155am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156am__install_max = 40
157am__nobase_strip_setup = \
158  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159am__nobase_strip = \
160  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161am__nobase_list = $(am__nobase_strip_setup); \
162  for p in $$list; do echo "$$p $$p"; done | \
163  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165    if (++n[$$2] == $(am__install_max)) \
166      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167    END { for (dir in files) print dir, files[dir] }'
168am__base_list = \
169  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171am__uninstall_files_from_dir = { \
172  test -z "$$files" \
173    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175         $(am__cd) "$$dir" && rm -f $$files; }; \
176  }
177am__recheck_rx = ^[     ]*:recheck:[    ]*
178am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
179am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
180# A command that, given a newline-separated list of test names on the
181# standard input, print the name of the tests that are to be re-run
182# upon "make recheck".
183am__list_recheck_tests = $(AWK) '{ \
184  recheck = 1; \
185  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
186    { \
187      if (rc < 0) \
188        { \
189          if ((getline line2 < ($$0 ".log")) < 0) \
190            recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
194        { \
195          recheck = 0; \
196          break; \
197        } \
198      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
199        { \
200          break; \
201        } \
202    }; \
203  if (recheck) \
204    print $$0; \
205  close ($$0 ".trs"); \
206  close ($$0 ".log"); \
207}'
208# A command that, given a newline-separated list of test names on the
209# standard input, create the global log from their .trs and .log files.
210am__create_global_log = $(AWK) ' \
211function fatal(msg) \
212{ \
213  print "fatal: making $@: " msg | "cat >&2"; \
214  exit 1; \
215} \
216function rst_section(header) \
217{ \
218  print header; \
219  len = length(header); \
220  for (i = 1; i <= len; i = i + 1) \
221    printf "="; \
222  printf "\n\n"; \
223} \
224{ \
225  copy_in_global_log = 1; \
226  global_test_result = "RUN"; \
227  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
228    { \
229      if (rc < 0) \
230         fatal("failed to read from " $$0 ".trs"); \
231      if (line ~ /$(am__global_test_result_rx)/) \
232        { \
233          sub("$(am__global_test_result_rx)", "", line); \
234          sub("[        ]*$$", "", line); \
235          global_test_result = line; \
236        } \
237      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
238        copy_in_global_log = 0; \
239    }; \
240  if (copy_in_global_log) \
241    { \
242      rst_section(global_test_result ": " $$0); \
243      while ((rc = (getline line < ($$0 ".log"))) != 0) \
244      { \
245        if (rc < 0) \
246          fatal("failed to read from " $$0 ".log"); \
247        print line; \
248      }; \
249      printf "\n"; \
250    }; \
251  close ($$0 ".trs"); \
252  close ($$0 ".log"); \
253}'
254# Restructured Text title.
255am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
256# Solaris 10 'make', and several other traditional 'make' implementations,
257# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
258# by disabling -e (using the XSI extension "set +e") if it's set.
259am__sh_e_setup = case $$- in *e*) set +e;; esac
260# Default flags passed to test drivers.
261am__common_driver_flags = \
262  --color-tests "$$am__color_tests" \
263  --enable-hard-errors "$$am__enable_hard_errors" \
264  --expect-failure "$$am__expect_failure"
265# To be inserted before the command running the test.  Creates the
266# directory for the log if needed.  Stores in $dir the directory
267# containing $f, in $tst the test, in $log the log.  Executes the
268# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
269# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
270# will run the test scripts (or their associated LOG_COMPILER, if
271# thy have one).
272am__check_pre = \
273$(am__sh_e_setup);                                      \
274$(am__vpath_adj_setup) $(am__vpath_adj)                 \
275$(am__tty_colors);                                      \
276srcdir=$(srcdir); export srcdir;                        \
277case "$@" in                                            \
278  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
279    *) am__odir=.;;                                     \
280esac;                                                   \
281test "x$$am__odir" = x"." || test -d "$$am__odir"       \
282  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
283if test -f "./$$f"; then dir=./;                        \
284elif test -f "$$f"; then dir=;                          \
285else dir="$(srcdir)/"; fi;                              \
286tst=$$dir$$f; log='$@';                                 \
287if test -n '$(DISABLE_HARD_ERRORS)'; then               \
288  am__enable_hard_errors=no;                            \
289else                                                    \
290  am__enable_hard_errors=yes;                           \
291fi;                                                     \
292case " $(XFAIL_TESTS) " in                              \
293  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
294    am__expect_failure=yes;;                            \
295  *)                                                    \
296    am__expect_failure=no;;                             \
297esac;                                                   \
298$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
299# A shell command to get the names of the tests scripts with any registered
300# extension removed (i.e., equivalently, the names of the test logs, with
301# the '.log' extension removed).  The result is saved in the shell variable
302# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
303# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
304# since that might cause problem with VPATH rewrites for suffix-less tests.
305# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
306am__set_TESTS_bases = \
307  bases='$(TEST_LOGS)'; \
308  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
309  bases=`echo $$bases`
310RECHECK_LOGS = $(TEST_LOGS)
311AM_RECURSIVE_TARGETS = check recheck
312TEST_SUITE_LOG = test-suite.log
313TEST_EXTENSIONS = @EXEEXT@ .test
314LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
315LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
316am__set_b = \
317  case '$@' in \
318    */*) \
319      case '$*' in \
320        */*) b='$*';; \
321          *) b=`echo '$@' | sed 's/\.log$$//'`; \
322       esac;; \
323    *) \
324      b='$*';; \
325  esac
326am__test_logs1 = $(TESTS:=.log)
327am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
328TEST_LOGS = $(am__test_logs2:.test.log=.log)
329TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
330TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
331        $(TEST_LOG_FLAGS)
332am__DIST_COMMON = $(srcdir)/Makefile.in \
333        $(top_srcdir)/automake/test-driver $(top_srcdir)/src/cfa.make
334DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
335ACLOCAL = @ACLOCAL@
336AMTAR = @AMTAR@
337AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
338AR = @AR@
339AUTOCONF = @AUTOCONF@
340AUTOHEADER = @AUTOHEADER@
341AUTOMAKE = @AUTOMAKE@
342AWK = @AWK@
343BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
344CC = @CC@
345CCAS = @CCAS@
346CCASDEPMODE = @CCASDEPMODE@
347CCASFLAGS = @CCASFLAGS@
348CCDEPMODE = @CCDEPMODE@
349CFACC = @CFACC@
350CFACPP = @CFACPP@
351CFA_BACKEND_CC = @CFA_BACKEND_CC@
352CFA_BINDIR = @CFA_BINDIR@
353CFA_FLAGS = @CFA_FLAGS@
354CFA_INCDIR = @CFA_INCDIR@
355CFA_LIBDIR = @CFA_LIBDIR@
356CFA_NAME = @CFA_NAME@
357CFA_PREFIX = @CFA_PREFIX@
358CFLAGS = @CFLAGS@
359CPP = @CPP@
360CPPFLAGS = @CPPFLAGS@
361CXX = @CXX@
362CXXCPP = @CXXCPP@
363CXXDEPMODE = @CXXDEPMODE@
364CXXFLAGS = @CXXFLAGS@
365CYGPATH_W = @CYGPATH_W@
366DEFS = @DEFS@
367DEMANGLER = @DEMANGLER@
368DEPDIR = @DEPDIR@
369DLLTOOL = @DLLTOOL@
370DRIVER_DIR = @DRIVER_DIR@
371DSYMUTIL = @DSYMUTIL@
372DUMPBIN = @DUMPBIN@
373ECHO_C = @ECHO_C@
374ECHO_N = @ECHO_N@
375ECHO_T = @ECHO_T@
376EGREP = @EGREP@
377EXEEXT = @EXEEXT@
378FGREP = @FGREP@
379GREP = @GREP@
380HOST_FLAGS = @HOST_FLAGS@
381INSTALL = @INSTALL@
382INSTALL_DATA = @INSTALL_DATA@
383INSTALL_PROGRAM = @INSTALL_PROGRAM@
384INSTALL_SCRIPT = @INSTALL_SCRIPT@
385INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
386LD = @LD@
387LDFLAGS = @LDFLAGS@
388LEX = @LEX@
389LEXLIB = @LEXLIB@
390LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
391LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
392LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
393LIBDEMANGLE = @LIBDEMANGLE@
394LIBOBJS = @LIBOBJS@
395LIBS = @LIBS@
396LIBTOOL = @LIBTOOL@
397LIPO = @LIPO@
398LN_S = @LN_S@
399LTLIBOBJS = @LTLIBOBJS@
400LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
401MAKEINFO = @MAKEINFO@
402MANIFEST_TOOL = @MANIFEST_TOOL@
403MKDIR_P = @MKDIR_P@
404NM = @NM@
405NMEDIT = @NMEDIT@
406OBJDUMP = @OBJDUMP@
407OBJEXT = @OBJEXT@
408OTOOL = @OTOOL@
409OTOOL64 = @OTOOL64@
410PACKAGE = @PACKAGE@
411PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
412PACKAGE_NAME = @PACKAGE_NAME@
413PACKAGE_STRING = @PACKAGE_STRING@
414PACKAGE_TARNAME = @PACKAGE_TARNAME@
415PACKAGE_URL = @PACKAGE_URL@
416PACKAGE_VERSION = @PACKAGE_VERSION@
417PATH_SEPARATOR = @PATH_SEPARATOR@
418RANLIB = @RANLIB@
419SED = @SED@
420SET_MAKE = @SET_MAKE@
421SHELL = @SHELL@
422STRIP = @STRIP@
423TARGET_HOSTS = @TARGET_HOSTS@
424VERSION = @VERSION@
425YACC = @YACC@
426YFLAGS = @YFLAGS@
427abs_builddir = @abs_builddir@
428abs_srcdir = @abs_srcdir@
429abs_top_builddir = @abs_top_builddir@
430abs_top_srcdir = @abs_top_srcdir@
431ac_ct_AR = @ac_ct_AR@
432ac_ct_CC = @ac_ct_CC@
433ac_ct_CXX = @ac_ct_CXX@
434ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
435am__include = @am__include@
436am__leading_dot = @am__leading_dot@
437am__quote = @am__quote@
438am__tar = @am__tar@
439am__untar = @am__untar@
440bindir = @bindir@
441build = @build@
442build_alias = @build_alias@
443build_cpu = @build_cpu@
444build_os = @build_os@
445build_vendor = @build_vendor@
446builddir = @builddir@
447datadir = @datadir@
448datarootdir = @datarootdir@
449docdir = @docdir@
450dvidir = @dvidir@
451exec_prefix = @exec_prefix@
452host = @host@
453host_alias = @host_alias@
454host_cpu = @host_cpu@
455host_os = @host_os@
456host_vendor = @host_vendor@
457htmldir = @htmldir@
458includedir = @includedir@
459infodir = @infodir@
460install_sh = @install_sh@
461libdir = @libdir@
462libexecdir = @libexecdir@
463localedir = @localedir@
464localstatedir = @localstatedir@
465mandir = @mandir@
466mkdir_p = @mkdir_p@
467oldincludedir = @oldincludedir@
468pdfdir = @pdfdir@
469prefix = @prefix@
470program_transform_name = @program_transform_name@
471psdir = @psdir@
472runstatedir = @runstatedir@
473sbindir = @sbindir@
474sharedstatedir = @sharedstatedir@
475srcdir = @srcdir@
476sysconfdir = @sysconfdir@
477target_alias = @target_alias@
478top_build_prefix = @top_build_prefix@
479top_builddir = @top_builddir@
480top_srcdir = @top_srcdir@
481AUTOMAKE_OPTIONS = foreign    # do not require all the GNU file names
482ACLOCAL_AMFLAGS = -I automake
483CFACOMPILE = $(CFACC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(CFAFLAGS) $(AM_CFLAGS) $(CFLAGS)
484LTCFACOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
485        $(LIBTOOLFLAGS) --mode=compile $(CFACC) $(DEFS) \
486        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(CFAFLAGS) \
487        $(AM_CFLAGS) $(CFLAGS)
488
489AM_V_CFA = $(am__v_CFA_@AM_V@)
490am__v_CFA_ = $(am__v_CFA_@AM_DEFAULT_V@)
491am__v_CFA_0 = @echo "  CFA     " $@;
492am__v_CFA_1 =
493AM_V_JAVAC = $(am__v_JAVAC_@AM_V@)
494am__v_JAVAC_ = $(am__v_JAVAC_@AM_DEFAULT_V@)
495am__v_JAVAC_0 = @echo "  JAVAC   " $@;
496am__v_JAVAC_1 =
497AM_V_GOC = $(am__v_GOC_@AM_V@)
498am__v_GOC_ = $(am__v_GOC_@AM_DEFAULT_V@)
499am__v_GOC_0 = @echo "  GOC     " $@;
500am__v_GOC_1 =
501UPPCC = u++
502UPPCOMPILE = $(UPPCC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_UPPFLAGS) $(UPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_CFLAGS) $(CFLAGS)
503AM_V_UPP = $(am__v_UPP_@AM_V@)
504am__v_UPP_ = $(am__v_UPP_@AM_DEFAULT_V@)
505am__v_UPP_0 = @echo "  UPP     " $@;
506am__v_UPP_1 =
507repeats = 10
508max_time = 600
509preempt = 10ul\`ms
510debug = -debug
511type = LONG
512REPEAT = $(abs_top_builddir)/tools/repeat
513WATCHDOG = $(abs_top_builddir)/tools/watchdog
514TIME = /usr/bin/time -f "%E"
515UPDATED_TYPE = $(shell $(srcdir)/update-type $(type))
516BUILD_FLAGS =
517AM_CFAFLAGS = \
518        -g \
519        -Wall \
520        -Wno-unused-function \
521        -quiet \
522        -O2 \
523        -DPREEMPTION_RATE=$(preempt) \
524        -I$(abs_top_srcdir)/tests \
525        -I$(srcdir) \
526        -DTEST_$(shell cat .type | tr a-z A-Z) \
527        -in-tree
528
529TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
530all: all-am
531
532.SUFFIXES:
533.SUFFIXES: .cfa .lo .log .o .test .test$(EXEEXT) .trs
534$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/src/cfa.make $(am__configure_deps)
535        @for dep in $?; do \
536          case '$(am__configure_deps)' in \
537            *$$dep*) \
538              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
539                && { if test -f $@; then exit 0; else break; fi; }; \
540              exit 1;; \
541          esac; \
542        done; \
543        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign longrun_tests/Makefile'; \
544        $(am__cd) $(top_srcdir) && \
545          $(AUTOMAKE) --foreign longrun_tests/Makefile
546Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
547        @case '$?' in \
548          *config.status*) \
549            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
550          *) \
551            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
552            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
553        esac;
554$(top_srcdir)/src/cfa.make $(am__empty):
555
556$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
557        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
558
559$(top_srcdir)/configure:  $(am__configure_deps)
560        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
561$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
562        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
563$(am__aclocal_m4_deps):
564
565mostlyclean-libtool:
566        -rm -f *.lo
567
568clean-libtool:
569        -rm -rf .libs _libs
570tags TAGS:
571
572ctags CTAGS:
573
574cscope cscopelist:
575
576
577# Recover from deleted '.trs' file; this should ensure that
578# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
579# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
580# to avoid problems with "make -n".
581.log.trs:
582        rm -f $< $@
583        $(MAKE) $(AM_MAKEFLAGS) $<
584
585# Leading 'am--fnord' is there to ensure the list of targets does not
586# expand to empty, as could happen e.g. with make check TESTS=''.
587am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
588am--force-recheck:
589        @:
590
591$(TEST_SUITE_LOG): $(TEST_LOGS)
592        @$(am__set_TESTS_bases); \
593        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
594        redo_bases=`for i in $$bases; do \
595                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
596                    done`; \
597        if test -n "$$redo_bases"; then \
598          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
599          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
600          if $(am__make_dryrun); then :; else \
601            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
602          fi; \
603        fi; \
604        if test -n "$$am__remaking_logs"; then \
605          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
606               "recursion detected" >&2; \
607        elif test -n "$$redo_logs"; then \
608          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
609        fi; \
610        if $(am__make_dryrun); then :; else \
611          st=0;  \
612          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
613          for i in $$redo_bases; do \
614            test -f $$i.trs && test -r $$i.trs \
615              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
616            test -f $$i.log && test -r $$i.log \
617              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
618          done; \
619          test $$st -eq 0 || exit 1; \
620        fi
621        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
622        ws='[   ]'; \
623        results=`for b in $$bases; do echo $$b.trs; done`; \
624        test -n "$$results" || results=/dev/null; \
625        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
626        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
627        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
628        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
629        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
630        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
631        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
632        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
633          success=true; \
634        else \
635          success=false; \
636        fi; \
637        br='==================='; br=$$br$$br$$br$$br; \
638        result_count () \
639        { \
640            if test x"$$1" = x"--maybe-color"; then \
641              maybe_colorize=yes; \
642            elif test x"$$1" = x"--no-color"; then \
643              maybe_colorize=no; \
644            else \
645              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
646            fi; \
647            shift; \
648            desc=$$1 count=$$2; \
649            if test $$maybe_colorize = yes && test $$count -gt 0; then \
650              color_start=$$3 color_end=$$std; \
651            else \
652              color_start= color_end=; \
653            fi; \
654            echo "$${color_start}# $$desc $$count$${color_end}"; \
655        }; \
656        create_testsuite_report () \
657        { \
658          result_count $$1 "TOTAL:" $$all   "$$brg"; \
659          result_count $$1 "PASS: " $$pass  "$$grn"; \
660          result_count $$1 "SKIP: " $$skip  "$$blu"; \
661          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
662          result_count $$1 "FAIL: " $$fail  "$$red"; \
663          result_count $$1 "XPASS:" $$xpass "$$red"; \
664          result_count $$1 "ERROR:" $$error "$$mgn"; \
665        }; \
666        {                                                               \
667          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
668            $(am__rst_title);                                           \
669          create_testsuite_report --no-color;                           \
670          echo;                                                         \
671          echo ".. contents:: :depth: 2";                               \
672          echo;                                                         \
673          for b in $$bases; do echo $$b; done                           \
674            | $(am__create_global_log);                                 \
675        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
676        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
677        if $$success; then                                              \
678          col="$$grn";                                                  \
679         else                                                           \
680          col="$$red";                                                  \
681          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
682        fi;                                                             \
683        echo "$${col}$$br$${std}";                                      \
684        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
685        echo "$${col}$$br$${std}";                                      \
686        create_testsuite_report --maybe-color;                          \
687        echo "$$col$$br$$std";                                          \
688        if $$success; then :; else                                      \
689          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
690          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
691            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
692          fi;                                                           \
693          echo "$$col$$br$$std";                                        \
694        fi;                                                             \
695        $$success || exit 1
696
697check-TESTS:
698        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
699        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
700        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
701        @set +e; $(am__set_TESTS_bases); \
702        log_list=`for i in $$bases; do echo $$i.log; done`; \
703        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
704        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
705        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
706        exit $$?;
707recheck: all
708        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
709        @set +e; $(am__set_TESTS_bases); \
710        bases=`for i in $$bases; do echo $$i; done \
711                 | $(am__list_recheck_tests)` || exit 1; \
712        log_list=`for i in $$bases; do echo $$i.log; done`; \
713        log_list=`echo $$log_list`; \
714        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
715                am__force_recheck=am--force-recheck \
716                TEST_LOGS="$$log_list"; \
717        exit $$?
718block.log: block
719        @p='block'; \
720        b='block'; \
721        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
722        --log-file $$b.log --trs-file $$b.trs \
723        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
724        "$$tst" $(AM_TESTS_FD_REDIRECT)
725coroutine.log: coroutine
726        @p='coroutine'; \
727        b='coroutine'; \
728        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
729        --log-file $$b.log --trs-file $$b.trs \
730        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
731        "$$tst" $(AM_TESTS_FD_REDIRECT)
732create.log: create
733        @p='create'; \
734        b='create'; \
735        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
736        --log-file $$b.log --trs-file $$b.trs \
737        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
738        "$$tst" $(AM_TESTS_FD_REDIRECT)
739disjoint.log: disjoint
740        @p='disjoint'; \
741        b='disjoint'; \
742        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
743        --log-file $$b.log --trs-file $$b.trs \
744        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
745        "$$tst" $(AM_TESTS_FD_REDIRECT)
746enter.log: enter
747        @p='enter'; \
748        b='enter'; \
749        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
750        --log-file $$b.log --trs-file $$b.trs \
751        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
752        "$$tst" $(AM_TESTS_FD_REDIRECT)
753enter3.log: enter3
754        @p='enter3'; \
755        b='enter3'; \
756        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
757        --log-file $$b.log --trs-file $$b.trs \
758        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
759        "$$tst" $(AM_TESTS_FD_REDIRECT)
760processor.log: processor
761        @p='processor'; \
762        b='processor'; \
763        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
764        --log-file $$b.log --trs-file $$b.trs \
765        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
766        "$$tst" $(AM_TESTS_FD_REDIRECT)
767stack.log: stack
768        @p='stack'; \
769        b='stack'; \
770        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
771        --log-file $$b.log --trs-file $$b.trs \
772        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
773        "$$tst" $(AM_TESTS_FD_REDIRECT)
774wait.log: wait
775        @p='wait'; \
776        b='wait'; \
777        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
778        --log-file $$b.log --trs-file $$b.trs \
779        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
780        "$$tst" $(AM_TESTS_FD_REDIRECT)
781yield.log: yield
782        @p='yield'; \
783        b='yield'; \
784        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
785        --log-file $$b.log --trs-file $$b.trs \
786        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
787        "$$tst" $(AM_TESTS_FD_REDIRECT)
788.test.log:
789        @p='$<'; \
790        $(am__set_b); \
791        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
792        --log-file $$b.log --trs-file $$b.trs \
793        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
794        "$$tst" $(AM_TESTS_FD_REDIRECT)
795@am__EXEEXT_TRUE@.test$(EXEEXT).log:
796@am__EXEEXT_TRUE@       @p='$<'; \
797@am__EXEEXT_TRUE@       $(am__set_b); \
798@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
799@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
800@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
801@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
802
803distdir: $(DISTFILES)
804        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
805        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
806        list='$(DISTFILES)'; \
807          dist_files=`for file in $$list; do echo $$file; done | \
808          sed -e "s|^$$srcdirstrip/||;t" \
809              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
810        case $$dist_files in \
811          */*) $(MKDIR_P) `echo "$$dist_files" | \
812                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
813                           sort -u` ;; \
814        esac; \
815        for file in $$dist_files; do \
816          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
817          if test -d $$d/$$file; then \
818            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
819            if test -d "$(distdir)/$$file"; then \
820              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
821            fi; \
822            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
823              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
824              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
825            fi; \
826            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
827          else \
828            test -f "$(distdir)/$$file" \
829            || cp -p $$d/$$file "$(distdir)/$$file" \
830            || exit 1; \
831          fi; \
832        done
833check-am: all-am
834        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
835check: check-am
836all-am: Makefile all-local
837installdirs:
838install: install-am
839install-exec: install-exec-am
840install-data: install-data-am
841uninstall: uninstall-am
842
843install-am: all-am
844        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
845
846installcheck: installcheck-am
847install-strip:
848        if test -z '$(STRIP)'; then \
849          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
850            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
851              install; \
852        else \
853          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
854            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
855            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
856        fi
857mostlyclean-generic:
858        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
859        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
860        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
861
862clean-generic:
863
864distclean-generic:
865        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
866        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
867
868maintainer-clean-generic:
869        @echo "This command is intended for maintainers to use"
870        @echo "it deletes files that may require special tools to rebuild."
871clean: clean-am
872
873clean-am: clean-generic clean-libtool clean-local mostlyclean-am
874
875distclean: distclean-am
876        -rm -f Makefile
877distclean-am: clean-am distclean-generic
878
879dvi: dvi-am
880
881dvi-am:
882
883html: html-am
884
885html-am:
886
887info: info-am
888
889info-am:
890
891install-data-am:
892
893install-dvi: install-dvi-am
894
895install-dvi-am:
896
897install-exec-am:
898
899install-html: install-html-am
900
901install-html-am:
902
903install-info: install-info-am
904
905install-info-am:
906
907install-man:
908
909install-pdf: install-pdf-am
910
911install-pdf-am:
912
913install-ps: install-ps-am
914
915install-ps-am:
916
917installcheck-am:
918
919maintainer-clean: maintainer-clean-am
920        -rm -f Makefile
921maintainer-clean-am: distclean-am maintainer-clean-generic
922
923mostlyclean: mostlyclean-am
924
925mostlyclean-am: mostlyclean-generic mostlyclean-libtool
926
927pdf: pdf-am
928
929pdf-am:
930
931ps: ps-am
932
933ps-am:
934
935uninstall-am:
936
937.MAKE: check-am install-am install-strip
938
939.PHONY: all all-am all-local check check-TESTS check-am clean \
940        clean-generic clean-libtool clean-local cscopelist-am ctags-am \
941        distclean distclean-generic distclean-libtool distdir dvi \
942        dvi-am html html-am info info-am install install-am \
943        install-data install-data-am install-dvi install-dvi-am \
944        install-exec install-exec-am install-html install-html-am \
945        install-info install-info-am install-man install-pdf \
946        install-pdf-am install-ps install-ps-am install-strip \
947        installcheck installcheck-am installdirs maintainer-clean \
948        maintainer-clean-generic mostlyclean mostlyclean-generic \
949        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
950        uninstall uninstall-am
951
952.PRECIOUS: Makefile
953
954
955.cfa.o:
956        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
957        $(CFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
958        $(am__mv) $$depbase.Tpo $$depbase.Po
959
960.cfa.lo:
961        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
962        $(LTCFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
963        $(am__mv) $$depbase.Tpo $$depbase.Plo
964
965# .INTERMEDIATE: $(TESTS)
966
967all-local: $(TESTS:=.run)
968
969runall : $(TESTS:=.run)
970        @ echo "All programs terminated normally"
971
972watchall : $(TESTS:=.watch)
973        @ echo "All programs terminated normally"
974
975compileall : $(TESTS)
976        @ echo "Compiled"
977
978clean-local:
979        rm -f $(TESTS) core* out.log .type
980
981% : %.cfa $(CFACC) $(UPDATED_TYPE)
982        $(AM_V_CFA)$(CFACOMPILE) $(<) $(debug) -o $(@)
983
984%.run : % $(REPEAT)
985        @ time $(REPEAT) -r out.log -i -s $(repeats) timeout $(max_time) ./$(<)
986        @ rm $(<)
987        @ echo -e "$(<): SUCCESS\n"
988
989%.watch : % $(WATCHDOG)
990        @ time $(WATCHDOG} ./$(<)
991        @ rm $(<)
992        @ echo -e "$(<): SUCCESS\n"
993
994%.time : % $(REPEAT)
995        @ $(REPEAT) -i -s -- $(repeats) $(TIME) -a -o times.log ./$(<)
996        @ rm $(<)
997        @ echo -e "$(<): SUCCESS\n"
998
999$(REPEAT): $(abs_top_builddir)/tools/Makefile
1000        @+make -C $(abs_top_builddir)/tools/
1001
1002$(WATCHDOG): $(abs_top_builddir)/tools/Makefile
1003        @+make -C $(abs_top_builddir)/tools/
1004
1005# Tell versions [3.59,3.63) of GNU make to not export all variables.
1006# Otherwise a system limit (for SysV at least) may be exceeded.
1007.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.